Skip to main content
PUT
/
v1
/
bank-accounts
/
{bankAccountId}
/
balance
Upsert bank account balance
curl --request PUT \
  --url https://api.light.inc/v1/bank-accounts/{bankAccountId}/balance \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json;charset=UTF-8' \
  --data '
{
  "balance": 123,
  "balanceAt": "2023-11-07T05:31:56Z"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "balanceAt": "2023-11-07T05:31:56Z",
  "balance": 123
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

Path Parameters

bankAccountId
string<uuid>
required

Body

application/json;charset=UTF-8
balance
integer<int64>
required

Balance amount in minor units (e.g. cents)

balanceAt
string<date-time> | null

Timestamp of the balance (opening balance date). Defaults to current timestamp if not provided.

Response

default - application/json;charset=UTF-8

default response

id
string<uuid>

Unique identifier for the bank account balance

bankAccountId
string<uuid>

ID of the bank account

balanceAt
string<date-time>

Timestamp of the balance (opening balance date)

balance
integer<int64>

Balance amount in minor units (e.g. cents)